/*
 * @(#)Circle.java  1.0  20 March 2004
 *
 * @author Viera K. Proulx
 */

import edu.neu.ccs.gui.*;	// to get BufferedPanel
import java.awt.*;			// to get Color
import java.awt.geom.*;		// to get Graphics2D functionality

/** A simple class to use for learning about classes and objects. */
class Circle {
    
    /*-------------------------------------------------------------------------
     Member data 
     *-----------------------------------------------------------------------*/
    
    /** center of the circle */
    int x;
    int y;

    /** the radius of the circle */
    int radius;

    /** the color of the circle */
    Color c;

    /*-------------------------------------------------------------------------
     Constructor
     *-----------------------------------------------------------------------*/
       
	/** default constructor */
	public Circle(){
		this.x      = 200;
		this.y      = 150;
		this.radius = 45;
		this.c      = Color.red;
	}

	/** full constructor */
	public Circle(int x, int y, int radius, Color c){
		this.x      = x;
		this.y      = y;
		this.radius = radius;
		this.c      = c;
	}

    /*-------------------------------------------------------------------------
     Methods 

   
         
    /** show balloon in the given buffered panel window */
    void paintCircle(BufferedPanel window){
        
        if (window == null)
            return;
            
        // get graphics context and set the color
        Graphics2D G = window.getBufferGraphics();
        G.setPaint(c);
        
        // paint the ballon
        Ellipse2D.Double E = 
            new Ellipse2D.Double(x - radius, y - radius, 
                                 2 * radius, 2 * radius);
        G.fill(E);
        
        window.repaint();
    }
    
    /** print the circle data */
    public String toString(){
    	return ("new " + getClass() + "(" + 
    	        this.x + ", " + 
    	        this.y + ", " + 
    	        this.radius + ", " + 
    	        this.c + ")");
    }
    
}
